variables:
  volumes: &volumes
    - /data/${CI_REPO}:/builds

depends_on:
  - build

skip_clone: true

steps:
  "Check dependencies":
    image: gitnet.fr/deblan/osv-detector:v0.10
    volumes: *volumes
    commands:
      - cd "/builds/$CI_COMMIT_SHA"
      - osv-detector package-lock.json
    failure: ignore
